Retrieves carbon footprint (GHG emissions) data for a Carbon Footprint widget.
Use this endpoint to get yearly GHG emissions data broken down by scope and emission type.
Returns 204 No Content if no emissions data is available. Supports global dashboard filter overrides.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific Carbon Footprint widget instance | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional global dashboard filter that adds to or overrides saved widget filter values | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| budgetVersionId | Integer | equals | |
| Channel | Channel | String | equals |
| chartType | Chart Type | String | equals |
| commodityCategoryID | Integer | equals | |
| commodityId | Integer | equals | |
| cumulative | Display as Cumulative | Boolean | equals |
| DataPointID | Integer | equals | |
| emissionSourceId | Integer | equals | |
| EsaChannelID | Integer | equals | |
| esaIntervalWidgetGroupBy | Group By | String | equals |
| includeAccountCharges | Include Account Charges | Boolean | equals |
| includeAccruals | Include Accruals | Boolean | equals |
| meterGroupInfo | Meter Group Display | String | equals |
| meterId | Integer | equals | |
| numberOfYears | Integer | equals | |
| placeGroupId | Integer | equals | |
| placeGroupName | Place Group Name | String | equals |
| rateId | Integer | equals | |
| readingDate | Reading Date | DateTime | equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| Schedule | Schedule | String | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceName | Topmost Place Name | String | equals |
| vendorId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
PlaceDigestGHGYearlyResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| equivalentCO2EmissionsUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ghgScopes | List of greenhouse gas scopes by type with use by year | PlaceDigestGHGYearlyResponse+GHGScope[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestGHGYearlyResponse+GHGScope properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ghgTypes | List of greenhouse gas types with use by year | PlaceDigestGHGYearlyResponse+GHGType[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestGHGYearlyResponse+GHGType properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeCode | The place code | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeId | The place identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeInfo | The place info | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "equivalentCO2EmissionsUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "ghgScopes": [
{ "ghgScopeCode": "string", "ghgScopeId": 1, "ghgScopeInfo": "string", "ghgScopeTypeCode": "string", "ghgScopeTypeInfo": "string", "ghgTypes": [
{ "ghgTypeCode": "string", "ghgTypeId": 1, "ghgTypeInfo": "string", "results": [], "targetComparison": {}
}
]
}
], "ghgTypes": [
{ "ghgTypeCode": "string", "ghgTypeId": 1, "ghgTypeInfo": "string", "results": [
{ "equivalentCO2Emissions": 1.0, "year": "string"
}
], "targetComparison": { "equivalentCO2Emissions": 1.0, "equivalentCO2EmissionsYtd": 1.0, "targetLabel": "string", "targetYear": 1
}
}
], "placeCode": "string", "placeId": 1, "placeInfo": "string", "updated": "2026-06-29"
}
204
No Content
The request succeeded. No content is returned in the response body.